body {
  font-family: 'Poppins', sans-serif;
    background-color: #f4f4f4;
    background-image: url('images/fundo-tele3.jpg');
    background-size: auto;
    background-attachment: fixed;
    color: #333;
    margin: 0;
    padding: 0;
  }
  
  .imagem-container {
    display: flex; 
    justify-content: center; 
    align-items: center; 
  }
  
  img {
    max-width: 100%; 
    height: auto;
  }
  
  h1, h2 {
    font-weight: 600;
  }
  
  h1 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
  }
  
  h2 {
    font-size: 1.75rem;
    margin-bottom: 1rem;
  }
  
  .hero h1 {
    font-size: 3rem;
    font-weight: bold;
    margin-bottom: 20px;
  }
  
  .hero p {
    font-size: 1.2rem;
  }
  
  .navbar {
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  }
  
  .navbar .navbar-brand {
    font-weight: 700;
  }
  
  .nav-link {
    font-size: 1rem;
    color: #ffffff !important;
  }
  
  .nav-link:hover {
    color: #000000 !important;
  }
  
  .titulo-destaque {
    color: #3498db; 
    font-weight: bold;
  }
  
  .text-center {
    color: #3498db; 
    font-weight: bold;
  }

  #grupos .card,
#grupos-destaque .card {
  border: 1px solid #ddd;
  width: 100%; 
  max-width: 300px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
  display: flex;
  flex-direction: column;
  transition: all 0.3s ease;
  overflow: hidden;
  margin: 5px; 
}

#grupos, #grupos-destaque {
  display: flex;
  flex-wrap: wrap;
  gap: 0px; 
}

.main-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 20px; 
  position: relative;
}

#gruposContainer {
  flex: 0.9; 
}


@media (max-width: 1440px) {
  .categories-container {
    position: absolute;
    left: 10px;  
    top: 100px;  
    width: 300px;
    padding: 20px;
    background-color: #f1f1f1;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }

  .category-button {
    padding: 108px;
    font-size: 16px;
  }
}

@media (max-width: 1680px) {
  .categories-container {
    position: absolute;
    left: -40px;  
    top: 100px;  
    width: 300px;
    padding: 20px;
    background-color: #f1f1f1;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }

  .category-button {
    padding: 18px;
    font-size: 16px;
  }
}

@media (max-width: 1440px) {
  .categories-container {
    position: absolute;
    left: -40px; 
    top: 100px;  
    width: 300px;
    padding: 20px;
    background-color: #f1f1f1;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }

  .category-button {
    padding: 18px;
    font-size: 16px;
  }
}

.categories-container {
  width: 300px;
  position: relative; 
  right: 0;
  top: 0;
  padding: 20px;
  background-color: #f1f1f1;
  border-radius: 10px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.category-button {
  display: block;
  width: 100%;
  padding: 15px;
  margin-bottom: 10px;
  text-align: center;
  background-color: #00a2ff;
  color: white;
  border: none;
  border-radius: 0px;
  font-weight: bold;
  transition: all 0.3s ease;
}

.category-button:hover {
  background-color: #53c0ff;
  transform: scale(1.05);
}

@media (min-width: 1680px) {
  .categories-container {
    position: absolute;
    right: 20px; 
    top: 100px; 
    width: 280px; 
    padding: 20px;
    background-color: #f1f1f1;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  }

  .category-button {
    padding: 18px;
    font-size: 16px; 
  }
}

@media (max-width: 1080px) {
  .main-container {
    flex-direction: column;
    align-items: center;
  }

  .categories-container {
    width: 100%;
    max-width: 300px;
    position: static;
    margin-top: 20px;
  }
}

  
  #grupos .card-body,
#grupos-destaque .card-body {
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
    height: 100%;
    text-align: center;
    padding: 1rem;
  }
  
  #grupos .card:hover,
#grupos-destaque .card:hover {
  transform: translateY(-5px);
  box-shadow: 0 12px 12px rgba(0, 0, 0, 0.1);
}
  
  .card-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 1rem;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }  
  
  .card-body form input[type="text"],
  .card-body form input[type="url"],
  .card-body form select {
    padding: 12px;
    font-size: 1rem;
    border: 1px solid #ddd;
    border-radius: 4px;
    margin-bottom: 20px;
    width: 100%;
    transition: border-color 0.3s ease;
  }
  
  .card-body form input[type="text"]:focus,
  .card-body form input[type="url"]:focus,
  .card-body form select:focus {
    border-color: #3498db;
    outline: none;
  }
  
  .card-body form button {
    background-color: #3498db;
    color: white;
    border: none;
    padding: 12px 20px;
    font-size: 1.1rem;
    border-radius: 8px;
    transition: background-color 0.3s ease;
    width: 60%;
    max-width: 200px;
    margin: 1rem auto 0;
  }
  
  .card-body form button:hover {
    background-color: #2980b9;
  }
  
  .container {
    max-width: 1140px;
    margin: 0 auto;
  }
  
  footer {
    text-align: center;
    padding: 20px;
    background-color: #111;
    color: white;
}
.footer-links, .footer-partners {
    margin-bottom: 10px;
}
.footer-links a, .footer-partners a {
    color: #ff4081;
    text-decoration: none;
    margin: 0 10px;
}
.footer-links a:hover, .footer-partners a:hover {
    text-decoration: underline;
}